.tree_box {
  position: fixed !important;
  top: 150px;
  right: 0;
  width: 40px;
  height: 40px;
  background: #eef2fb;
  border-width: 0.7px 0px 0.7px 0.7px;
  border-style: solid;
  border-color: #668ad7;
  box-shadow: -4px 4px 10px -1px rgba(139, 139, 139, 0.33);
  border-radius: 4px 0px 0px 4px;
  cursor: pointer;
  z-index: 9999;
  transition: all 0.3s ease-out;
}

.tree_box:hover {
  width: 160px;
  transition: all 0.3s ease-out;
  .watermark {
    position: absolute;
    left: 15%;
    transform: translate(-50%, -50%);
  }
}

.tree_box:hover::before {
  content: "School Hierarchy"; /* Add your desired text content here */
  position: relative;
  top: 20%;
  left: 19%;
  transform: translate(10px, -50%);
  white-space: nowrap;
  padding: 4px 8px;
  border-radius: 4px;
  color: #668ad7;
  font-size: 14px;
  transition: opacity 0.3s ease-out;
  opacity: 0;
  pointer-events: none; /* Prevents hover event on the added text */
}

.tree_box:hover::before {
  /* Show the added text when hovering */
  opacity: 1;
}

.watermark {
  position: absolute;
  top: 37%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 15px;
  height: 30px;
  background-color: #668ad7;
  clip-path: polygon(0% 0%, 100% 0%, 100% 100%, 50% 50%, 0px 100%);
}

.drawer_tree {
  // height: 80vh;
  // width: 200px;
  background-color: #eef2fb !important;
  // position: fixed;
  z-index: 9999 !important;
  overflow: auto;
}

.paddingRem2 {
  padding: 0rem 2.5rem;
}
.paddingRem3 {
  padding: 0rem 3.5rem;
}

.tree_book {
  width: 13px;
  height: 13px;
  color: #101820;
  background: #d9d9d9;
  border-radius: 100%;
}

.hide_drawer {
  position: fixed;
  bottom: 0;
  color: #668ad7;
  cursor: pointer;
}
